<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: infusion.php
| Author : Smokeman
| Email: smokeman@esenet.dk
| Web: http://www.phpfusion-tips.dk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."master_download_panel/infusion_db.php";

if (file_exists(INFUSIONS."master_download_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."master_download_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."master_download_panel/locale/Polish.php";
}

// Infusion general information
$inf_title = $locale['mdp100'];
$inf_description = $locale['mdp101'];
$inf_version = "1.4.0";
$inf_developer = "M@ster, v7 by Smokeman";
$inf_email = "smokeman@esenet.dk";
$inf_weburl = "http://www.phpfusion-tips.dk/";

$inf_folder = "master_download_panel";

$inf_newtable[1] = DB_MASTER_DOWNLOAD_FILES." (
file_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
file_subcat SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
file_shortcut VARCHAR(20) NOT NULL DEFAULT '',
file_name VARCHAR(100) NOT NULL DEFAULT '',
file_desc TEXT NOT NULL DEFAULT '',
file_url VARCHAR(200) NOT NULL DEFAULT '',
file_img VARCHAR(200) NOT NULL DEFAULT '',
file_size INT(10) UNSIGNED NOT NULL DEFAULT '0',
file_count INT(10) UNSIGNED NOT NULL DEFAULT '0',
file_date INT(10) UNSIGNED NOT NULL DEFAULT '0',
file_order SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (file_id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_MASTER_DOWNLOAD_CATS." (
cat_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
cat_name VARCHAR(100) NOT NULL DEFAULT '',
cat_desc TEXT NOT NULL DEFAULT '',
cat_order SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (cat_id)
) TYPE=MyISAM;";

$inf_newtable[3] = DB_MASTER_DOWNLOAD_SUBCATS." (
subcat_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
subcat_cat SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
subcat_name VARCHAR(100) NOT NULL DEFAULT '',
subcat_desc TEXT NOT NULL DEFAULT '',
subcat_sort VARCHAR(16) NOT NULL DEFAULT 'custom',
subcat_viewaccess TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
subcat_getaccess TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
subcat_count SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
subcat_order SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (subcat_id)
) TYPE=MyISAM;";

$inf_newtable[4] = DB_MASTER_DOWNLOAD_MIRRORS." (
mirror_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
mirror_name VARCHAR(100) NOT NULL DEFAULT '',
mirror_url VARCHAR(200) NOT NULL DEFAULT '',
mirror_used INT(10) UNSIGNED NOT NULL DEFAULT '0',
mirror_limit INT(10) UNSIGNED NOT NULL DEFAULT '0',
mirror_lastdown INT(10) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (mirror_id)
) TYPE=MyISAM;";

$inf_newtable[5] = DB_MASTER_DOWNLOAD_RELS." (
rel_id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
rel_fileid SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
rel_mirrorid SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
rel_url VARCHAR(200) NOT NULL DEFAULT '',
PRIMARY KEY (rel_id)
) TYPE=MyISAM;";

$inf_newtable[6] = DB_MASTER_DOWNLOAD_GETS." (
get_id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
get_fileid SMALLINT(5) UNSIGNED NOT NULL,
get_mirrorid SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
get_ip VARCHAR(15) NOT NULL,
get_agent VARCHAR(250) NOT NULL,
get_referer VARCHAR(250) NOT NULL,
get_date INT(10) UNSIGNED NOT NULL,
PRIMARY KEY (get_id)
) TYPE=MyISAM;";

$inf_droptable[1] = DB_MASTER_DOWNLOAD_FILES;
$inf_droptable[2] = DB_MASTER_DOWNLOAD_CATS;
$inf_droptable[3] = DB_MASTER_DOWNLOAD_SUBCATS;
$inf_droptable[4] = DB_MASTER_DOWNLOAD_MIRRORS;
$inf_droptable[5] = DB_MASTER_DOWNLOAD_RELS;
$inf_droptable[6] = DB_MASTER_DOWNLOAD_GETS;

$inf_adminpanel[1] = array(
	"title" => $locale['mdp100'],
	"image" => "master_download_panel.gif",
	"panel" => "master_download_admin.php",
	"rights" => "MDP"
);

$inf_sitelink[1] = array(
	"title" => "",
	"url" => "",
	"visibility" => "0"
);

?>