<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: master_download_tools.php
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

// Generowanie linku do pliku
function make_filelink($file_details) {
  if ($file_details['file_shortcut'])
    $getmethod = 'shortcut='.$file_details['file_shortcut'];
  else
    $getmethod = 'id='.$file_details['file_id'];
  return(BASEDIR.MDP_DOWNLOAD_NAME."?action=get&".$getmethod);
  }

// Tworzenie linku do pliku w panelu
function make_panel_fileurl($file_details, $length = MDP_DOWNLOAD_PANEL_NAME_LENGTH, $show_count = true) {
  $result = "<tr>
<td><img src='".THEME."images/bullet.gif' alt='' /> <a href='".make_filelink($file_details)."' title='".$file_details['file_name']."' class='side'>".($length ? trimlink($file_details['file_name'], $length) : $file_details['file_name'])."</a></td>
".($show_count ? "<td align='right'>".$file_details['file_count']."</td>" : "")."
</tr>";	
	return($result);
  }

// Formatowanie rozmiaru pliku
function format_filesize($size) {
  if ($size >= 1024*1024)
    $result = sprintf("%2.2f", $size/(1024*1024)).' GB';
  else if ($size >= 1024)
    $result = sprintf("%2.2f", $size/1024).' MB';
  else
    $result = $size.' KB';
  return($result);
  }

// Czas w sekundach
function get_sectime() {
  list($ms, $sec) = explode(" ", microtime());
  return($sec);
  }

?>