<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: car_list_panel_admin.php
| Author : Smokeman
| Email: admin@phpfusion-tips.dk
| Web: http://www.phpfusion-tips.dk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."master_download_panel/infusion_db.php";
if (!checkrights("MDP")) { redirect("index.php"); }

if (file_exists(INFUSIONS."master_download_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."master_download_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."master_download_panel/locale/Polish.php";
}

// ----------------------------------------
// Konfiguracja
// ----------------------------------------
require_once INFUSIONS."master_download_panel/master_download_config.php";
require_once INFUSIONS."master_download_panel/master_download_const.php";
require_once INFUSIONS."master_download_panel/master_download_tools.php";

// ----------------------------------------
// Funkcje
// ----------------------------------------

// Odswierzanie ilosci plikow w subkategorii
function refresh_subcats_count() {

  global $DB_;

  $subcats_list = dbquery("SELECT subcat_id FROM ".DB_MASTER_DOWNLOAD_SUBCATS);

  while ($subcat_details = mysql_fetch_array($subcats_list)) {
    $result = dbquery("SELECT file_id FROM ".DB_MASTER_DOWNLOAD_FILES." WHERE file_subcat='".$subcat_details['subcat_id']."'");
    dbquery("UPDATE ".DB_MASTER_DOWNLOAD_SUBCATS." SET subcat_count='".mysql_num_rows($result)."' WHERE subcat_id='".$subcat_details['subcat_id']."'");
    }
        
  return;
	
  }

// Drukowanie opcji pozycji
function print_options($page, $prefix, $order, $count, $custom_sort) {

  global ${$prefix.'_details'}, $locale;
  $result = "";

  $result .= "<table border='0' cellpadding='0' cellspacing='0'><tr>";

  $result .= "
<td width='19' height='16'>
<a href='".FUSION_SELF."?mdp_page=".$page."&".$prefix."_action=".$prefix."_edit&".$prefix."_id=".${$prefix.'_details'}[$prefix.'_id']."' title='".$locale['mdp505']."'>
<img src='".INFUSIONS."master_download_panel/images/edit.gif' border='0' alt='".$locale['mdp505']."' /></a>
</td>
  ";

  if (($custom_sort) and ($count)) $result .= "<td width='19' height='16'>";

  if (($custom_sort) and($count) and ($order > 0)) $result .= "
<a href='".FUSION_SELF."?mdp_page=".$page."&".$prefix."_action=".$prefix."_up&".$prefix."_id=".${$prefix.'_details'}[$prefix.'_id']."' title='".$locale['mdp513']."'>
<img src='".INFUSIONS."master_download_panel/images/up.gif' border='0' alt='".$locale['mdp513']."' /></a>
  ";

  if (($custom_sort) and ($count)) $result .= "</td>";

  if (($custom_sort) and ($count)) $result .= "<td width='19' height='16'>";

  if (($custom_sort) and($count) and ($order < $count-1)) $result .= "
<a href='".FUSION_SELF."?mdp_page=".$page."&".$prefix."_action=".$prefix."_down&".$prefix."_id=".${$prefix.'_details'}[$prefix.'_id']."' title='".$locale['mdp514']."'>
<img src='".INFUSIONS."master_download_panel/images/down.gif' border='0' alt='".$locale['mdp514']."' /></a>
  ";

  if (($custom_sort) and ($count)) $result .= "</td>";
  
  $result .= "
<td width='16' height='16'>
<a href='".FUSION_SELF."?mdp_page=".$page."&".$prefix."_action=".$prefix."_del&".$prefix."_id=".${$prefix.'_details'}[$prefix.'_id']."' title='".$locale['mdp506']."' onclick='return delete_confirm();'>
<img src='".INFUSIONS."master_download_panel/images/del.gif' border='0' alt='".$locale['mdp506']."' /></a>
</td>
  ";

  $result .= "</td></table>";

  return($result);

   }

// Drukowanie sortowania dla pod kategorii
function print_sort_options($subcat_sort) {

  global $subcat_sort_array;

  $result = "";
  $sel = "";

  while(list($key, $sort_array) = each($subcat_sort_array)) {
    $sel = ($subcat_sort == $key ? " selected" : "");
    $result .= "<option value='".$key."'$sel>".$sort_array[0]."</option>";
    }

  return($result);

  }

// Drukowanie dostepnosci dla grup
function print_access_options($subcat_access) {

  $result = "";

  $user_groups = getusergroups();
  $sel = "";

  while(list($key, $user_group) = each($user_groups)) {
    $sel = ($subcat_access == $user_group['0'] ? " selected" : "");
    $result .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>";
    }

  return($result);

  }

// Obliczanie ilosci pobra na dzie
function get_perdaycount($count, $date) {

  $atime = get_sectime();
  if ($atime == $date)
    return('-');
  else
    return( sprintf("%1.1f", $count / (($atime-$date)/(60*60*24))) );

  }

// ----------------------------------------
// Java Script
// ----------------------------------------
print("<script type='text/javascript'>
function delete_confirm() {
  return confirm('".$locale['mdp228']."');
}
</script>");

// ----------------------------------------
// Nawigacja
// ----------------------------------------
if (!isset($mdp_page)) $mdp_page = 'mdp_files';

// Nawigacja
opentable($locale['mdp300']);

print("
<table class='tbl-border' width='100%' height='20' cellpadding='0' cellspacing='1'>
<tr>
<td style='width: 20%; text-align: center;' class='".($mdp_page == 'mdp_files'?"tbl1":"tbl2")."'>".($mdp_page == 'mdp_files'?"<b>".$locale['mdp200']."</b>":"<a href='".FUSION_SELF."?mdp_page=mdp_files'>".$locale['mdp200']."</a>")."</td>
<td style='width: 20%; text-align: center;' class='".($mdp_page == 'mdp_cats'?"tbl1":"tbl2")."'>".($mdp_page == 'mdp_cats'?"<b>".$locale['mdp201']."</b>":"<a href='".FUSION_SELF."?mdp_page=mdp_cats'>".$locale['mdp201']."</a>")."</td>
<td style='width: 20%; text-align: center;' class='".($mdp_page == 'mdp_subcats'?"tbl1":"tbl2")."'>".($mdp_page == 'mdp_subcats'?"<b>".$locale['mdp204']."</b>":"<a href='".FUSION_SELF."?mdp_page=mdp_subcats'>".$locale['mdp204']."</a>")."</td>
<td style='width: 20%; text-align: center;' class='".($mdp_page == 'mdp_mirrors'?"tbl1":"tbl2")."'>".($mdp_page == 'mdp_mirrors'?"<b>".$locale['mdp202']."</b>":"<a href='".FUSION_SELF."?mdp_page=mdp_mirrors'>".$locale['mdp202']."</a>")."</td>
<td style='width: 20%; text-align: center;' class='".($mdp_page == 'mdp_others'?"tbl1":"tbl2")."'>".($mdp_page == 'mdp_others'?"<b>".$locale['mdp203']."</b>":"<a href='".FUSION_SELF."?mdp_page=mdp_others'>".$locale['mdp203']."</a>")."</td>
</tr>
</table>
");

closetable();


// ----------------------------------------
// Administracja
// ----------------------------------------

// ----------------------------------------
// Pliki
// ----------------------------------------
if ($mdp_page == 'mdp_files') {

  // Dodaj plik
  //if ($file_action == 'file_add') {
	if (isset($_GET['file_action']) && $_GET['file_action'] == "file_add") {

    if (($file_subcat >= 1) and ($file_name) and ($file_desc) and (isset($file_size)) and ($file_size >= 0) and (isset($file_count)) and ($file_count >= 0)) {

      // Edycja, dodanie
      if (($file_id) and ($file_id >= 0)) {

        // Zmiana kategorii
        $result = dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_FILES." WHERE file_id='".$file_id."' LIMIT 1");
        $file_details = mysql_fetch_array($result);

        if ($file_details['file_subcat'] == $file_subcat)
          $file_order = "";
        else {
          $file_order = ", file_order='0'";

          // Przesuwanie pozycji
          dbquery("UPDATE ".DB_MASTER_DOWNLOAD_FILES." SET file_order=file_order+1 WHERE file_subcat='".$file_subcat."'");
          dbquery("UPDATE ".DB_MASTER_DOWNLOAD_FILES." SET file_order=file_order-1 WHERE file_subcat='".$file_details['file_subcat']."' AND file_order>'".$file_details['file_order']."'");
          }

        // Data wpisu
        if ($file_update_date)
          $file_date = ", file_date='".get_sectime()."'";
        else
          $file_date = '';

        // Edycja wpisu pliku
        dbquery(
          "UPDATE ".DB_MASTER_DOWNLOAD_FILES." SET
            file_subcat='".$file_subcat."',
            file_shortcut='".$file_shortcut."',
            file_name='".$file_name."',
            file_desc='".$file_desc."',
            file_url='".$file_url."',
            file_img='".$file_img."',
            file_size='".$file_size."',
            file_count='".$file_count."'
            ".$file_date."
            ".$file_order."
          WHERE file_id='".$file_id."'"
          );

        // Usuwanie zaleznosci
        dbquery("DELETE FROM ".DB_MASTER_DOWNLOAD_RELS." WHERE rel_fileid='".$file_id."'");
        $rel_fileid = $file_id;

        print("<center><b>".$locale['mdp221']."</b></center>");
        }
      else {
        // Przesuwanie pozycji
        dbquery("UPDATE ".DB_MASTER_DOWNLOAD_FILES." SET file_order=file_order+1 WHERE file_subcat='".$file_subcat."'");

        // Dodanie pozycji
        dbquery(
          "INSERT INTO ".DB_MASTER_DOWNLOAD_FILES."
          (file_subcat, file_shortcut, file_name, file_desc, file_url, file_img, file_size, file_count, file_date, file_order)
          VALUES (
            '".$file_subcat."',
            '".$file_shortcut."',
            '".$file_name."',
            '".$file_desc."',
            '".$file_url."',
            '".$file_img."',
            '".$file_size."',
            '".$file_count."',
            '".get_sectime()."',
            '0'
            )"
          );

        // Zaleznosci
        $rel_fileid = mysql_insert_id();

        print("<center><b>".$locale['mdp220']."</b></center>");
        }

      print("<br /><center>".$locale['mdp226']);

      // Ilosc plikow w subkategorii
      refresh_subcats_count();

      // Odbudowa zaleznosci pliku
      for ($i=0; $i<=$file_mirrors_count-1; $i++)
      if (${'file_mirror'.$i}) {

        dbquery(
          "INSERT INTO ".DB_MASTER_DOWNLOAD_RELS."
          (rel_fileid, rel_mirrorid, rel_url)
          VALUES (
            '".$rel_fileid."',
            '".${'file_mirror'.$i}."',
            '".${'file_mirror'.$i.'_url'}."'
            )"
          );

        }

      print($locale['mdp227']."</center>");

      }
    else
      print("<center><b>".$locale['mdp222']."</b></center>");

    }

  // Edytuj plik
  //elseif ($file_action == 'file_edit') {
    elseif (isset($_GET['file_action']) && $_GET['file_action'] == "file_edit") {

    if (($file_id) and ($file_id >= 0))
      $file_editpos = mysql_fetch_array(dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_FILES." WHERE file_id='".$file_id."'"));
    else
      print("<center><b>".$locale['mdp223']."</b></center>");
    
    }

  // Przesun w gore plik
  //elseif ($file_action == 'file_up') {
  elseif (isset($_GET['file_action']) && $_GET['file_action'] == "file_up") {
    $result = dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_FILES." WHERE file_id='".$file_id."' LIMIT 1");
    $file_details = mysql_fetch_array($result);

    dbquery("UPDATE ".DB_MASTER_DOWNLOAD_FILES." SET file_order=file_order+1 WHERE file_subcat='".$file_details['file_subcat']."' AND file_order='".($file_details['file_order']-1)."'");
    dbquery("UPDATE ".DB_MASTER_DOWNLOAD_FILES." SET file_order=file_order-1 WHERE file_id='".$file_details['file_id']."'");
    }

  // Przesun na dol plik
  //elseif ($file_action == 'file_down') {
  elseif (isset($_GET['file_action']) && $_GET['file_action'] == "file_down") {
    $result = dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_FILES." WHERE file_id='".$file_id."' LIMIT 1");
    $file_details = mysql_fetch_array($result);

    dbquery("UPDATE ".DB_MASTER_DOWNLOAD_FILES." SET file_order=file_order-1 WHERE file_subcat='".$file_details['file_subcat']."' AND file_order='".($file_details['file_order']+1)."'");
    dbquery("UPDATE ".DB_MASTER_DOWNLOAD_FILES." SET file_order=file_order+1 WHERE file_id='".$file_details['file_id']."'");
    }

  // Usun plik
  //elseif ($file_action == 'file_del') {
    elseif (isset($_GET['file_action']) && $_GET['file_action'] == "file_del") {
    if (($file_id) and ($file_id >= 0)) {
      $result = dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_FILES." WHERE file_id='".$file_id."' LIMIT 1");
      $file_details = mysql_fetch_array($result);

      // Usuwanie pozycji
      dbquery("DELETE FROM ".DB_MASTER_DOWNLOAD_FILES." WHERE file_id='".$file_id."'");

      // Przesuwanie pozycji
      dbquery("UPDATE ".DB_MASTER_DOWNLOAD_FILES." SET file_order=file_order-1 WHERE file_subcat='".$file_details['file_subcat']."' AND file_order>'".$file_details['file_order']."'");

      // Usuwanie zaleznosci
      dbquery("DELETE FROM ".DB_MASTER_DOWNLOAD_RELS." WHERE rel_fileid='".$file_id."'");
			
			// Usuwanie statystyk
			dbquery("DELETE FROM ".DB_MASTER_DOWNLOAD_GETS." WHERE get_fileid='".$file_id."'");

      // Ilosc plikow w subkategorii
      refresh_subcats_count();

      print("<center><b>".$locale['mdp224']."</b></center>");
      }
    else
      print("<center><b>".$locale['mdp223']."</b></center>");

    }

  // Dodaj plik - formularz
  $subcats_list = dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_SUBCATS." LEFT JOIN ".DB_MASTER_DOWNLOAD_CATS." ON ".DB_MASTER_DOWNLOAD_CATS.".cat_id=".DB_MASTER_DOWNLOAD_SUBCATS.".subcat_cat ORDER BY cat_order, subcat_order");
  $mirrors_list = dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_MIRRORS." ORDER BY mirror_name");
  $rels_list = dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_RELS." ORDER BY rel_id");

  $file_action = "file_edit";
  opentable(($file_action == 'file_edit' ? $locale['mdp211'].$locale['mdp212'] : $locale['mdp210'].$locale['mdp212']));

  if (mysql_num_rows($subcats_list) >= 1) {

    // Domyslne wartosci
    if (!isset($file_editpos['file_subcat'])) $file_editpos['file_subcat'] = '1';
    if (!isset($file_editpos['file_size'])) $file_editpos['file_size'] = '0';
    if (!isset($file_editpos['file_count'])) $file_editpos['file_count'] = '0';

    // Lista kategorii - subkategorii
    $subcats_select = "<select name='file_subcat' class='textbox' style='width:240px;'>";

    $last_cat_id = 0;
    while ($subcat_details = mysql_fetch_array($subcats_list)) {
    
      if ($file_editpos['file_subcat'] == $subcat_details['subcat_id'])
        $selected = ' selected';
      else
        $selected = '';

      if ($last_cat_id != $subcat_details['cat_id']) {
        $subcats_select .= "<optgroup label='".$subcat_details['cat_name']."'>";
        $last_cat_id = $subcat_details['cat_id'];
        }

      $subcats_select .= "<option value='".$subcat_details['subcat_id']."'".$selected.">".$subcat_details['subcat_name']."</option>";
      }

    $subcats_select .= "</select>";

    // Lista mirror'ow
    $mirrors_select = "";
    $i = 0;

    while ($mirror_details = mysql_fetch_array($mirrors_list)) {

      $checked = '';
      $url = '';
      $testlink = '';

      if (isset($file_editpos['file_id'])) {
        if (mysql_num_rows($rels_list) > 0) mysql_data_seek($rels_list, 0);
        while ($rel_details = mysql_fetch_array($rels_list))
          if (($file_editpos['file_id'] == $rel_details['rel_fileid']) and ($mirror_details['mirror_id'] == $rel_details['rel_mirrorid'])) {
            $checked = ' checked';
            $url = $rel_details['rel_url'];
            $testlink = " <span class='small'>(<a href='".$mirror_details['mirror_url'].$rel_details['rel_url']."'>".$locale['mdp515']."</a>)</span>";
            break;
            }
        }

      $mirrors_select = $mirrors_select."
<tr>
<td width='40%'><input class='textbox' type='checkbox' name='file_mirror".$i."' value='".$mirror_details['mirror_id']."'".$checked." /> ".$mirror_details['mirror_url']."</td>
<td width='60%'><input class='textbox' type='text' name='file_mirror".$i."_url' value='".$url."' maxlength='200' style='width: 240px;' />".$testlink."</td>
</tr>
      ";
      $i++;
      }

    $mirrors_select = $mirrors_select."<input type='hidden' name='file_mirrors_count' value='".$i."' />";

    // Formularz

    print("
<form action='".FUSION_SELF."' method='post'>
<input type='hidden' name='mdp_page' value='".$mdp_page."' />
<input type='hidden' name='file_action' value='file_add' />
<input type='hidden' name='file_id' value='".($file_action == 'file_edit' ? $file_editpos['file_id'] : '')."' />

<table cellspacing='0' cellpadding='0' width='100%' align='center'>

<tr> 
<td class='tbl' width='40%'>".$locale['mdp405']."</td>
<td class='tbl' width='60%'>".$subcats_select."</td>
</tr>

<tr> 
<td class='tbl' width='40%'>".$locale['mdp406']."</td>
<td class='tbl' width='60%'><input class='textbox' type='text' name='file_shortcut' value='".$file_editpos['file_shortcut']."' maxlength='20' style='width:240px;' /></td>
</tr>

<tr>
<td class='tbl' width='40%'>".$locale['mdp400']."</td>
<td class='tbl' width='60%'><input class='textbox' type='text' name='file_name' value='".$file_editpos['file_name']."' maxlength='200' style='width:240px;' /></td>
</tr>

<tr>
<td class='tbl' width='40%'>".$locale['mdp401']."</td>
<td class='tbl' width='60%'><textarea class='textbox' name='file_desc' rows='4' cols='50'>".$file_editpos['file_desc']."</textarea></td>
</tr>

<tr>
<td class='tbl' width='40%'>".$locale['mdp407']."</td>
<td class='tbl' width='60%'><input class='textbox' type='text' name='file_url' value='".$file_editpos['file_url']."' maxlength='200' style='width:240px;' /></td>
</tr>

<tr>
<td class='tbl' width='40%'>".$locale['mdp408']."</td>
<td class='tbl' width='60%'><input class='textbox' type='text' name='file_img' value='".$file_editpos['file_img']."' maxlength='200' style='width:240px;' /></td>
</tr>

<tr>
<td class='tbl' width='40%'>".$locale['mdp409']."</td>
<td class='tbl' width='60%'><input class='textbox' type='text' name='file_size' value='".$file_editpos['file_size']."' maxlength='10' style='width:240px;' /> KB</td>
</tr>

<tr>
<td class='tbl' width='40%'>".$locale['mdp410']."</td>
<td class='tbl' width='60%'><input class='textbox' type='text' name='file_count' value='".$file_editpos['file_count']."' maxlength='10' style='width:240px;' /></td>
</tr>

<tr> 
<td class='tbl' width='40%'>".$locale['mdp411']."</td>
<td class='tbl' width='60%'></td>
</tr>
<tr>
<td class='tbl' width='100%' colspan='2'><table cellspacing='0' cellpadding='0' width='100%'>".$mirrors_select."</table></td>
</tr>
    ");

    if (($file_action == 'file_edit') and ($file_id))
      print("
<tr> 
<td class='tbl' width='40%'>".$locale['mdp413']."</td>
<td class='tbl' width='60%'><input class='textbox' type='checkbox' name='file_update_date' value='1' /></td>
</tr>
      ");

    print("
<tr>
<td class='tbl' colspan='2'><center><input class='button' name='mdp_submit' type='submit' value='".($file_action == 'file_edit' ? $locale['mdp211'].$locale['mdp212'] : $locale['mdp210'].$locale['mdp212'])."' /></center></td>
</tr>

</table>

</form>
    ");

    }

  else {
    print("<center><b>".$locale['mdp225']."</b></center>");
    }

  closetable();
  

  // Obecne pliki
  opentable($locale['mdp302']);

  print("
<table cellpadding='0' cellspacing='1' width='100%' align='center' class='tbl-border'>
<tr>
<td class='tbl2' width='10%'><center>".$locale['mdp500']."</center></td>
<td class='tbl2' width='35%'><center>".$locale['mdp501']."</center></td>
<td class='tbl2' width='15%'><center>".$locale['mdp510']."</center></td>
<td class='tbl2' width='20%'><center>".$locale['mdp511']."</center></td>
<td class='tbl2' width='20%'><center>".$locale['mdp504']."</center></td>
</tr>
  ");

  if (mysql_num_rows($subcats_list) > 0) mysql_data_seek($subcats_list, 0);

  $last_cat_id = 0;
  while ($subcat_details = mysql_fetch_array($subcats_list)) {

    // Naglowek kategorii - subkategorii
    if ($last_cat_id != $subcat_details['cat_id']) {

      print("
<tr>
<td class='forum-caption' width='100%' colspan='5'>".$subcat_details['cat_name']."</td>
</tr>
      ");

      $last_cat_id = $subcat_details['cat_id'];
      }

    print("
<tr>
<td class='tbl2' width='100%' colspan='5'>&nbsp; <b>+ ".$subcat_details['subcat_name']."</b></td>
</tr>
    ");

    // Pliki subkategorii
    $files_list = dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_FILES." WHERE file_subcat='".$subcat_details['subcat_id']."' AND file_subcat!='0' ORDER BY ".$subcat_sort_array[$subcat_details['subcat_sort']][1]);
    $files_count = mysql_num_rows($files_list);

    if (mysql_num_rows($files_list) == 0) {
      print("
<tr>
<td class='tbl1' width='100%' colspan='5'><center>".$locale['mdp601']."</center></td>
</tr>
    ");
      }
    else {

      $row_class_id = 0;

      while ($file_details = mysql_fetch_array($files_list)) {

        if ($file_details['file_shortcut'])
          $shortcut = " <span class='small'>(<a href='".make_filelink($file_details)."'>".$locale['mdp512']."</a>)</span>";
        else
          $shortcut = "";

        if ($row_class_id % 2 == 0) $row_class = "tbl1"; else $row_class = "tbl2";
        $row_class_id++;

        print("
<tr>
<td class='".$row_class."' width='10%'><center>".$file_details['file_id']."</center></td>
<td class='".$row_class."' width='35%'>".$file_details['file_name'].$shortcut."</td>
<td class='".$row_class."' width='15%'><center>".format_filesize($file_details['file_size'])."</center></td>
<td class='".$row_class."' width='20%'><center>".$file_details['file_count']." <span class='small'>(".get_perdaycount($file_details['file_count'], $file_details['file_date']).")</span></center></td>
<td class='".$row_class."' width='20%'><center>".print_options('mdp_files', 'file', $file_details['file_order'], $files_count, ($subcat_details['subcat_sort'] == 'custom'))."</center></td>
</tr>
        ");
        }

      }

    }

  // Brak kategorii
  print("
<tr>
<td class='forum-caption' width='100%' colspan='5'>".$locale['mdp412']."</td>
</tr>
  ");

  // Pliki bez kategorii
  $files_list = dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_FILES." WHERE file_subcat='0' ORDER BY file_id");

  if (mysql_num_rows($files_list) == 0) {
    print("
<tr>
<td class='tbl1' width='100%' colspan='5'><center>".$locale['mdp601']."</center></td>
</tr>
    ");
    }
  else {

    $row_class_id = 0;

    while ($file_details = mysql_fetch_array($files_list)) {

      if ($file_details['file_shortcut'])
        $shortcut = " <span class='small'>(<a href='".make_filelink($file_details)."'>".$locale['mdp512']."</a>)</span>";
      else
        $shortcut = "";

      if ($row_class_id % 2 == 0) $row_class = "tbl1"; else $row_class = "tbl2";
      $row_class_id++;

      print("
<tr>
<td class='".$row_class."' width='10%'><center>".$file_details['file_id']."</center></td>
<td class='".$row_class."' width='35%'>".$file_details['file_name'].$shortcut."</td>
<td class='".$row_class."' width='15%'><center>".format_filesize($file_details['file_size'])."</center></td>
<td class='".$row_class."' width='20%'><center>".$file_details['file_count']." <span class='small'>(".get_perdaycount($file_details['file_count'], $file_details['file_date']).")</span></center></td>
<td class='".$row_class."' width='20%'><center>".print_options('mdp_files', 'file', 0, 0, false)."</center></td>
</tr>
      ");
      }

    }

print("
</table><br />
<center><a href='".FUSION_SELF."?mdp_page=".$mdp_page."'>".$locale['mdp600']."</a></center>
");

  closetable();

  }

// ----------------------------------------
// Kategorie
// ----------------------------------------
elseif ($mdp_page == 'mdp_cats') {

  // Dodaj kategorie
  //if ($cat_action == 'cat_add') {
  if (isset($_GET['cat_action']) && $_GET['cat_action'] == "cat_add") {

    if ($cat_name) {

      if (($cat_id) and ($cat_id >= 0)) {
        dbquery("UPDATE ".DB_MASTER_DOWNLOAD_CATS." SET cat_name='".$cat_name."', cat_desc='".$cat_desc."' WHERE cat_id='".$cat_id."'");
        print("<center><b>".$locale['mdp221']."</b></center>");
        }
      else
        {
        // Przesuwanie pozycji
        dbquery("UPDATE ".DB_MASTER_DOWNLOAD_CATS." SET cat_order=cat_order+1");

        // Dodawanie pozycji
        dbquery("INSERT INTO ".DB_MASTER_DOWNLOAD_CATS." (cat_name, cat_desc, cat_order) VALUES ('".$cat_name."', '".$cat_desc."', '0')");
        print("<center><b>".$locale['mdp220']."</b></center>");
        }

      }
    else
      print("<center><b>".$locale['mdp222']."</b></center>");

    }

  // Edytuj kategorie
  //elseif ($cat_action == 'cat_edit') {
  elseif (isset($_GET['cat_action']) && $_GET['cat_action'] == "cat_edit") {

    if (($cat_id) and ($cat_id >= 0))
      $cat_editpos = mysql_fetch_array(dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_CATS." WHERE cat_id='".$cat_id."'"));
    else
      print("<center><b>".$locale['mdp223']."</b></center>");
    
    }

  // Przesun w gore kategorie
  //elseif ($cat_action == 'cat_up') {
  elseif (isset($_GET['cat_action']) && $_GET['cat_action'] == "cat_up") {
    $result = dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_CATS." WHERE cat_id='".$cat_id."' LIMIT 1");
    $cat_details = mysql_fetch_array($result);

    dbquery("UPDATE ".DB_MASTER_DOWNLOAD_CATS." SET cat_order=cat_order+1 WHERE cat_order='".($cat_details['cat_order']-1)."'");
    dbquery("UPDATE ".DB_MASTER_DOWNLOAD_CATS." SET cat_order=cat_order-1 WHERE cat_id='".$cat_details['cat_id']."'");
    }

  // Przesun na dol kategorie
  //elseif ($cat_action == 'cat_down') {
  elseif (isset($_GET['cat_action']) && $_GET['cat_action'] == "cat_down") {
    $result = dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_CATS." WHERE cat_id='".$cat_id."' LIMIT 1");
    $cat_details = mysql_fetch_array($result);

    dbquery("UPDATE ".DB_MASTER_DOWNLOAD_CATS." SET cat_order=cat_order-1 WHERE cat_order='".($cat_details['cat_order']+1)."'");
    dbquery("UPDATE ".DB_MASTER_DOWNLOAD_CATS." SET cat_order=cat_order+1 WHERE cat_id='".$cat_details['cat_id']."'");
    }

  // Usun kategorie
  //elseif ($cat_action == 'cat_del') {
  elseif (isset($_GET['cat_action']) && $_GET['cat_action'] == "cat_del") {

    if (($cat_id) and ($cat_id >= 0)) {
      $result = dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_CATS." WHERE cat_id='".$cat_id."' LIMIT 1");
      $cat_details = mysql_fetch_array($result);

      // Usuwanie pozycji
      dbquery("DELETE FROM ".DB_MASTER_DOWNLOAD_CATS." WHERE cat_id='".$cat_id."'");

      // Przesuwanie pozycji
      dbquery("UPDATE ".DB_MASTER_DOWNLOAD_CATS." SET cat_order=cat_order-1 WHERE cat_order>'".$cat_details['cat_order']."'");

      // Resetowanie kategorii subkategorii
      dbquery("UPDATE ".DB_MASTER_DOWNLOAD_SUBCATS." SET subcat_cat='0' WHERE subcat_cat='".$cat_id."'");

      print("<center><b>".$locale['mdp224']."</b></center>");
      }
    else
      print("<center><b>".$locale['mdp223']."</b></center>");

    }

  // Dodaj kategorie - formularz
  $cat_action = "cat_edit";
  $result3 = dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_CATS);
  $cat_editpos = mysql_num_rows($result3);
  opentable(($cat_action == 'cat_edit' ? $locale['mdp211'].$locale['mdp213'] : $locale['mdp210'].$locale['mdp213']));

  print("
<form action='".FUSION_SELF."' method='post'>
<input type='hidden' name='mdp_page' value='".$mdp_page."' />
<input type='hidden' name='cat_action' value='cat_add' />
<input type='hidden' name='cat_id' value='".($cat_action == 'cat_edit' ? $cat_editpos['cat_id'] : '')."' />

<table cellspacing='0' cellpadding='0' width='100%' align='center'>

<tr>
<td class='tbl' width='40%'>".$locale['mdp400']."</td>
<td class='tbl' width='60%'><input class='textbox' type='text' name='cat_name' value='".$cat_editpos['cat_name']."' maxlength='100' style='width:240px;' /></td>
</tr>

<tr>
<td class='tbl' width='40%'>".$locale['mdp401']."</td>
<td class='tbl' width='60%'><textarea class='textbox' name='cat_desc' rows='4' cols='50'>".$cat_editpos['cat_desc']."</textarea></td>
</tr>

<tr>
<td class='tbl' colspan='2'><center><input class='button' name='mdp_submit' type='submit' value='".($cat_action == 'cat_edit' ? $locale['mdp211'].$locale['mdp213'] : $locale['mdp210'].$locale['mdp213'])."' /></center></td>
</tr>

</table>

</form>
  ");

  closetable();


  // Obecne kategorie
  $cats_list = dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_CATS." ORDER BY cat_order");
  $cats_count = mysql_num_rows($cats_list);

  opentable($locale['mdp304']);

  print("
<table cellpadding='0' cellspacing='1' width='100%' align='center' class='tbl-border'>
<tr>
<td class='tbl2' width='10%'><center>".$locale['mdp500']."</center></td>
<td class='tbl2' width='70%'><center>".$locale['mdp501']."</center></td>
<td class='tbl2' width='20%'><center>".$locale['mdp504']."</center></td>
</tr>
  ");

$row_class_id = 0;

while ($cat_details = mysql_fetch_array($cats_list)) {

  if ($row_class_id % 2 == 0) $row_class = "tbl1"; else $row_class = "tbl2";
  $row_class_id++;

  print("
<tr>
<td class='".$row_class."' width='10%'><center>".$cat_details['cat_id']."</center></td>
<td class='".$row_class."' width='70%'>".$cat_details['cat_name']."</td>
<td class='".$row_class."' width='20%'><center>".print_options('mdp_cats', 'cat', $cat_details['cat_order'], $cats_count, true)."</center></td>
</tr>
  ");
  }

print("
</table><br />
<center><a href='".FUSION_SELF."?mdp_page=".$mdp_page."'>".$locale['mdp600']."</a></center>
");

  closetable();

  }

// ----------------------------------------
// Subkategorie
// ----------------------------------------
if ($mdp_page == 'mdp_subcats') {

  // Dodaj subkategorie
  //if ($subcat_action == 'subcat_add') {
  if (isset($_GET['subcat_action']) && $_GET['subcat_action'] == "subcat_add") {

    if (($subcat_cat) and ($subcat_name)) {

      // Edycja, dodanie
      if (($subcat_id) and ($subcat_id >= 0)) {

        // Zmiana kategorii
        $result = dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_SUBCATS." WHERE subcat_id='".$subcat_id."' LIMIT 1");
        $subcat_details = mysql_fetch_array($result);

        if ($subcat_details['subcat_cat'] == $subcat_cat)
          $subcat_order = "";
        else {
          $subcat_order = ", subcat_order='0'";

          // Przesuwanie pozycji
          dbquery("UPDATE ".DB_MASTER_DOWNLOAD_SUBCATS." SET subcat_order=subcat_order+1 WHERE subcat_cat='".$subcat_cat."'");
          dbquery("UPDATE ".DB_MASTER_DOWNLOAD_SUBCATS." SET subcat_order=subcat_order-1 WHERE subcat_cat='".$subcat_details['subcat_cat']."' AND subcat_order>'".$subcat_details['subcat_order']."'");
          }

        // Edycja wpisu subkategorii
        dbquery("UPDATE ".DB_MASTER_DOWNLOAD_SUBCATS." SET subcat_cat='".$subcat_cat."', subcat_name='".$subcat_name."', subcat_desc='".$subcat_desc."', subcat_sort='".$subcat_sort."', subcat_viewaccess='".$subcat_viewaccess."', subcat_getaccess='".$subcat_getaccess."'".$subcat_order." WHERE subcat_id='".$subcat_id."'");
        
        print("<center><b>".$locale['mdp221']."</b></center>");
        }
      else {
        // Przesuwanie pozycji
        dbquery("UPDATE ".DB_MASTER_DOWNLOAD_SUBCATS." SET subcat_order=subcat_order+1 WHERE subcat_cat='".$subcat_cat."'");

        // Dodanie pozycji
        dbquery("INSERT INTO ".DB_MASTER_DOWNLOAD_SUBCATS." (subcat_cat, subcat_name, subcat_desc, subcat_sort, subcat_viewaccess, subcat_getaccess, subcat_count, subcat_order) VALUES ('".$subcat_cat."', '".$subcat_name."', '".$subcat_desc."', '".$subcat_sort."', '".$subcat_viewaccess."', '".$subcat_getaccess."', '0', '0')");
 
        print("<center><b>".$locale['mdp220']."</b></center>");
        }

      }
    else
      print("<center><b>".$locale['mdp222']."</b></center>");

    }

  // Edytuj subkategorie
  //elseif ($subcat_action == 'subcat_edit') {
  elseif (isset($_GET['subcat_action']) && $_GET['subcat_action'] == "subcat_edit") {

    if (($subcat_id) and ($subcat_id >= 0))
      $subcat_editpos = mysql_fetch_array(dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_SUBCATS." WHERE subcat_id='".$subcat_id."'"));
    else
      print("<center><b>".$locale['mdp223']."</b></center>");
    
    }

  // Przesun w gore subkategorie
  //elseif ($subcat_action == 'subcat_up') {
  elseif (isset($_GET['subcat_action']) && $_GET['subcat_action'] == "subcat_up") {
    $result = dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_SUBCATS." WHERE subcat_id='".$subcat_id."' LIMIT 1");
    $subcat_details = mysql_fetch_array($result);

    dbquery("UPDATE ".DB_MASTER_DOWNLOAD_SUBCATS." SET subcat_order=subcat_order+1 WHERE subcat_cat='".$subcat_details['subcat_cat']."' AND subcat_order='".($subcat_details['subcat_order']-1)."'");
    dbquery("UPDATE ".DB_MASTER_DOWNLOAD_SUBCATS." SET subcat_order=subcat_order-1 WHERE subcat_id='".$subcat_details['subcat_id']."'");
    }

  // Przesun na dol subkategorie
  //elseif ($subcat_action == 'subcat_down') {
  elseif (isset($_GET['subcat_action']) && $_GET['subcat_action'] == "subcat_down") {
    $result = dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_SUBCATS." WHERE subcat_id='".$subcat_id."' LIMIT 1");
    $subcat_details = mysql_fetch_array($result);

    dbquery("UPDATE ".DB_MASTER_DOWNLOAD_SUBCATS." SET subcat_order=subcat_order-1 WHERE subcat_cat='".$subcat_details['subcat_cat']."' AND subcat_order='".($subcat_details['subcat_order']+1)."'");
    dbquery("UPDATE ".DB_MASTER_DOWNLOAD_SUBCATS." SET subcat_order=subcat_order+1 WHERE subcat_id='".$subcat_details['subcat_id']."'");
    }

  // Usun subkategorie
  //elseif ($subcat_action == 'subcat_del') {
  elseif (isset($_GET['subcat_action']) && $_GET['subcat_action'] == "subcat_del") {

    if (($subcat_id) and ($subcat_id >= 0)) {
      $result = dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_SUBCATS." WHERE subcat_id='".$subcat_id."' LIMIT 1");
      $subcat_details = mysql_fetch_array($result);

      // Usuwanie pozycji
      dbquery("DELETE FROM ".DB_MASTER_DOWNLOAD_SUBCATS." WHERE subcat_id='".$subcat_id."'");

      // Przesuwanie pozycji
      dbquery("UPDATE ".DB_MASTER_DOWNLOAD_SUBCATS." SET subcat_order=subcat_order-1 WHERE subcat_cat='".$subcat_details['subcat_cat']."' AND subcat_order>'".$subcat_details['subcat_order']."'");

      // Resetowanie subkategorii plikow
      dbquery("UPDATE ".DB_MASTER_DOWNLOAD_FILES." SET file_subcat='0' WHERE file_subcat='".$subcat_id."'");

      print("<center><b>".$locale['mdp224']."</b></center>");
      }
    else
      print("<center><b>".$locale['mdp223']."</b></center>");

    }

  // Dodaj subkategorie - formularz
  $cats_list = dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_CATS." ORDER BY cat_order");

$subcat_action = "subcat_edit";
  opentable(($subcat_action == 'subcat_edit' ? $locale['mdp211'].$locale['mdp215'] : $locale['mdp210'].$locale['mdp215']));

  if (mysql_num_rows($cats_list) >= 1) {

    // Domyslne wartosci
    if (!isset($subcat_editpos['subcat_cat'])) $subcat_editpos['subcat_cat'] = '1';

    // Lista kategorii
    $cats_select = "<select name='subcat_cat' class='textbox' style='width:240px;'>";

    while ($cat_details = mysql_fetch_array($cats_list)) {
    
      if ($subcat_editpos['subcat_cat'] == $cat_details['cat_id'])
        $selected = ' selected';
      else
        $selected = '';

      $cats_select .= "<option value='".$cat_details['cat_id']."'".$selected.">".$cat_details['cat_name']."</option>";
      }

    $cats_select .= "</select>";

    // Formularz
    print("
<form action='".FUSION_SELF."' method='post'>
<input type='hidden' name='mdp_page' value='".$mdp_page."' />
<input type='hidden' name='subcat_action' value='subcat_add' />
<input type='hidden' name='subcat_id' value='".($subcat_action == 'subcat_edit' ? $subcat_editpos['subcat_id'] : '')."' />

<table cellspacing='0' cellpadding='0' width='100%' align='center'>

<tr> 
<td class='tbl' width='40%'>".$locale['mdp405']."</td>
<td class='tbl' width='60%'>".$cats_select."</td>
</tr>

<tr>
<td class='tbl' width='40%'>".$locale['mdp400']."</td>
<td class='tbl' width='60%'><input class='textbox' type='text' name='subcat_name' value='".$subcat_editpos['subcat_name']."' maxlength='100' style='width:240px;' /></td>
</tr>

<tr>
<td class='tbl' width='40%'>".$locale['mdp401']."</td>
<td class='tbl' width='60%'><textarea class='textbox' name='subcat_desc' rows='4' cols='50'>".$subcat_editpos['subcat_desc']."</textarea></td>
</tr>

<tr>
<td class='tbl' width='40%'>".$locale['mdp416']."</td>
<td class='tbl' width='60%'><select class='textbox' name='subcat_sort' style='width:240px;'>".print_sort_options($subcat_editpos['subcat_sort'])."</select></td>
</tr>

<tr>
<td class='tbl' width='40%'>".$locale['mdp414']."</td>
<td class='tbl' width='60%'><select class='textbox' name='subcat_viewaccess' style='width:240px;'>".print_access_options($subcat_editpos['subcat_viewaccess'])."</select></td>
</tr>

<tr>
<td class='tbl' width='40%'>".$locale['mdp415']."</td>
<td class='tbl' width='60%'><select class='textbox' name='subcat_getaccess' style='width:240px;'>".print_access_options($subcat_editpos['subcat_getaccess'])."</select></td>
</tr>

<tr>
<td class='tbl' colspan='2'><center><input class='button' name='mdp_submit' type='submit' value='".($subcat_action == 'subcat_edit' ? $locale['mdp211'].$locale['mdp215'] : $locale['mdp210'].$locale['mdp215'])."' /></center></td>
</tr>

</table>

</form>
    ");

    }

  else {
    print("<center><b>".$locale['mdp229']."</b></center>");
    }

  closetable();
  

  // Obecne subkategoriei
  opentable($locale['mdp305']);

  print("
<table cellpadding='0' cellspacing='1' width='100%' align='center' class='tbl-border'>
<tr>
<td class='tbl2' width='10%'><center>".$locale['mdp500']."</center></td>
<td class='tbl2' width='20%'><center>".$locale['mdp501']."</center></td>
<td class='tbl2' width='20%'><center>".$locale['mdp517']."</center></td>
<td class='tbl2' width='10%'><center>".$locale['mdp503']."</center></td>
<td class='tbl2' width='20%'><center>".$locale['mdp504']."</center></td>
</tr>
  ");

  if (mysql_num_rows($cats_list) > 0) mysql_data_seek($cats_list, 0);
  while ($cat_details = mysql_fetch_array($cats_list)) {

    // Naglowek kategorii
    print("
<tr>
<td class='forum-caption' width='100%' colspan='5'>".$cat_details['cat_name']."</td>
</tr>
  ");

    // Subkategorie
    $subcats_list = dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_SUBCATS." WHERE subcat_cat='".$cat_details['cat_id']."' AND subcat_cat!='0' ORDER BY subcat_order");
    $subcats_count = mysql_num_rows($subcats_list);

    if (mysql_num_rows($subcats_list) == 0) {
      print("
<tr>
<td class='tbl1' width='100%' colspan='5'><center>".$locale['mdp602']."</center></td>
</tr>
    ");
      }
    else {

      $row_class_id = 0;

      while ($subcat_details = mysql_fetch_array($subcats_list)) {

        if ($row_class_id % 2 == 0) $row_class = "tbl1"; else $row_class = "tbl2";
        $row_class_id++;

        print("
<tr>
<td class='".$row_class."' width='10%'><center>".$subcat_details['subcat_id']."</center></td>
<td class='".$row_class."' width='30%'>".$subcat_details['subcat_name']."</td>
<td class='".$row_class."' width='30%'><center>".getgroupname($subcat_details['subcat_viewaccess'])."<br /><span class='small'>".getgroupname($subcat_details['subcat_getaccess'])."</span</center></td>
<td class='".$row_class."' width='10%'><center>".$subcat_details['subcat_count']."</center></td>
<td class='".$row_class."' width='20%'><center>".print_options('mdp_subcats', 'subcat', $subcat_details['subcat_order'], $subcats_count, true)."</center></td>
</tr>
        ");
        }

      }

    }

  // Brak kategorii
  print("
<tr>
<td class='forum-caption' width='100%' colspan='5'>".$locale['mdp412']."</td>
</tr>
  ");

  // Subkategorie bez kategorii
  $subcats_list = dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_SUBCATS." WHERE subcat_cat='0' ORDER BY subcat_id");

  if (mysql_num_rows($subcats_list) == 0) {
    print("
<tr>
<td class='tbl1' width='100%' colspan='5'><center>".$locale['mdp602']."</center></td>
</tr>
    ");
    }
  else {

    $row_class_id = 0;

    while ($subcat_details = mysql_fetch_array($subcats_list)) {

      if ($row_class_id % 2 == 0) $row_class = "tbl1"; else $row_class = "tbl2";
      $row_class_id++;

      print("
<tr>
<td class='".$row_class."' width='10%'><center>".$subcat_details['subcat_id']."</center></td>
<td class='".$row_class."' width='30%'>".$subcat_details['subcat_name']."</td>
<td class='".$row_class."' width='30%'><center>".getgroupname($subcat_details['subcat_viewaccess'])."<br /><span class='small'>".getgroupname($subcat_details['subcat_getaccess'])."</span</center></td>
<td class='".$row_class."' width='10%'><center>".$subcat_details['subcat_count']."</center></td>
<td class='".$row_class."' width='20%'><center>".print_options('mdp_subcats', 'subcat', 0, 0, false)."</center></td>
</tr>
      ");
      }

    }

print("
</table><br />
<center><a href='".FUSION_SELF."?mdp_page=".$mdp_page."'>".$locale['mdp600']."</a></center>
");

  closetable();

  }

// ----------------------------------------
// Mirror'y
// ----------------------------------------
elseif ($mdp_page == 'mdp_mirrors') {

  // Dodaj mirror
  //if ($mirror_action == 'mirror_add') {
  if (isset($_GET['mirror_action']) && $_GET['mirror_action'] == "mirror_add") {

    if (($mirror_name) and ($mirror_url) and (isset($mirror_used)) and ($mirror_used >= 0) and (isset($mirror_limit)) and ($mirror_limit >= 1)) {

      if ($mirror_url[strlen($mirror_url)-1] != '/')
        $mirror_url .= '/';

      if (($mirror_id) and ($mirror_id >= 0)) {
        dbquery("UPDATE ".DB_MASTER_DOWNLOAD_MIRRORS." SET mirror_name='".$mirror_name."', mirror_url='".$mirror_url."', mirror_used='".$mirror_used."', mirror_limit='".$mirror_limit."' WHERE mirror_id='".$mirror_id."'");
        print("<center><b>".$locale['mdp221']."</b></center>");
        }
      else
        {
        dbquery("INSERT INTO ".DB_MASTER_DOWNLOAD_MIRRORS." (mirror_name, mirror_url, mirror_used, mirror_limit, mirror_lastdown) VALUES ('".$mirror_name."', '".$mirror_url."', '".$mirror_used."', '".$mirror_limit."', '0')");
        print("<center><b>".$locale['mdp220']."</b></center>");
        }

      }
    else
      print("<center><b>".$locale['mdp222']."</b></center>");

    }

  // Edytuj mirror
  //elseif ($mirror_action == 'mirror_edit') {
  elseif (isset($_GET['mirror_action']) && $_GET['mirror_action'] == "mirror_edit") {

    if (($mirror_id) and ($mirror_id >= 0))
      $mirror_editpos = mysql_fetch_array(dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_MIRRORS." WHERE mirror_id='".$mirror_id."'"));
    else
      print("<center><b>".$locale['mdp223']."</b></center>");
    
    }

  // Usun mirror
  //elseif ($mirror_action == 'mirror_del') {
  elseif (isset($_GET['mirror_action']) && $_GET['mirror_action'] == "mirror_del") {

    if (($mirror_id) and ($mirror_id >= 0)) {
      dbquery("DELETE FROM ".DB_MASTER_DOWNLOAD_MIRRORS." WHERE mirror_id='".$mirror_id."'");

      // Usuwanie zaleznosci
      dbquery("DELETE FROM ".DB_MASTER_DOWNLOAD_RELS." WHERE rel_mirrorid='".$mirror_id."'");
			
			// Usuwanie statystyk
			dbquery("DELETE FROM ".DB_MASTER_DOWNLOAD_GETS." WHERE get_mirrorid='".$mirror_id."'");
      
      print("<center><b>".$locale['mdp224']."</b></center>");
      }
    else
      print("<center><b>".$locale['mdp223']."</b></center>");

    }

  // Dodaj mirror - formularz
  if (!isset($mirror_editpos['mirror_used'])) $mirror_editpos['mirror_used'] = 0;
  if (!isset($mirror_editpos['mirror_limit'])) $mirror_editpos['mirror_limit'] = 0;
  
  $mirror_action = "mirror_edit";
  $result4 = dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_MIRRORS);
  $mirror_editpos = mysql_num_rows($result4);
  opentable(($mirror_action == 'mirror_edit' ? $locale['mdp211'].$locale['mdp214'] : $locale['mdp210'].$locale['mdp214']));

  print("
<form action='".FUSION_SELF."' method='post'>
<input type='hidden' name='mdp_page' value='".$mdp_page."' />
<input type='hidden' name='mirror_action' value='mirror_add' />
<input type='hidden' name='mirror_id' value='".($mirror_action == 'mirror_edit' ? $mirror_editpos['mirror_id'] : '')."' />

<table cellspacing='0' cellpadding='0' width='100%' align='center'>

<tr>
<td class='tbl' width='40%'>".$locale['mdp400']."</td>
<td class='tbl' width='60%'><input class='textbox' type='text' name='mirror_name' value='".$mirror_editpos['mirror_name']."' maxlength='100' style='width:240px;' /></td>
</tr>

<tr>
<td class='tbl' width='40%'>".$locale['mdp402']."</td>
<td class='tbl' width='60%'><input class='textbox' type='text' name='mirror_url' value='".$mirror_editpos['mirror_url']."' maxlength='200' style='width:240px;' /></td>
</tr>

<tr>
<td class='tbl' width='40%'>".$locale['mdp403']."</td>
<td class='tbl' width='60%'><input class='textbox' type='text' name='mirror_used' value='".$mirror_editpos['mirror_used']."' maxlength='10' style='width:240px;' /> KB</td>
</tr>

<tr>
<td class='tbl' width='40%'>".$locale['mdp404']."</td>
<td class='tbl' width='60%'><input class='textbox' type='text' name='mirror_limit' value='".$mirror_editpos['mirror_limit']."' maxlength='10' style='width:240px;' /> KB</td>
</tr>

<tr>
<td class='tbl' colspan='2'><center><input class='button' name='mdp_submit' type='submit' value='".($mirror_action == 'mirror_edit' ? $locale['mdp211'].$locale['mdp214'] : $locale['mdp210'].$locale['mdp214'])."' /></center></td>
</tr>

</table>

</form>
  ");

  closetable();


  // Obecne mirror'y
  $mirrors_list = dbquery("SELECT * FROM ".DB_MASTER_DOWNLOAD_MIRRORS." ORDER BY mirror_name");

  opentable($locale['mdp306']);

  print("
<table cellpadding='0' cellspacing='1' width='100%' align='center' class='tbl-border'>
<tr>
<td class='tbl2' width='10%'><center>".$locale['mdp500']."</center></td>
<td class='tbl2' width='25%'><center>".$locale['mdp501']."</center></td>
<td class='tbl2' width='25%'><center>".$locale['mdp509']."</center></td>
<td class='tbl2' width='30%' colspan='2'><center>".$locale['mdp508']."</center></td>
<td class='tbl2' width='10%'><center>".$locale['mdp504']."</center></td>
</tr>
  ");

$row_class_id = 0;

while ($mirror_details = mysql_fetch_array($mirrors_list)) {

  $mirror_usedperc = $mirror_details['mirror_used'] / $mirror_details['mirror_limit'];

  if ($row_class_id % 2 == 0) $row_class = "tbl1"; else $row_class = "tbl2";
  $row_class_id++;

  print("
<tr>
<td class='".$row_class."' width='10%'><center>".$mirror_details['mirror_id']."</center></td>
<td class='".$row_class."' width='25%'>".$mirror_details['mirror_name']."</td>
<td class='".$row_class."' width='25%'><center>".format_filesize($mirror_details['mirror_used'])." / ".format_filesize($mirror_details['mirror_limit'])."</center></td>
<td class='".$row_class."' width='20%'><img src='".THEME."images/pollbar.gif' height='12' width='".round($mirror_usedperc*100)."%' class='poll'></td>
<td class='".$row_class."' width='10%'><center>".sprintf("%2.2f", $mirror_usedperc*100)."%</center></td>
<td class='".$row_class."' width='10%'><center>".print_options('mdp_mirrors', 'mirror', 0, 0, false)."</center></td>
</tr>
  ");
  }

print("
</table><br />
<center><a href='".FUSION_SELF."?mdp_page=".$mdp_page."'>".$locale['mdp600']."</a></center>
");

  closetable();

  }

// ----------------------------------------
// Inne
// ----------------------------------------
elseif ($mdp_page == 'mdp_others') {

  // Informacje
  opentable($locale['mdp307']);

  print("
<b>".$locale['mdp100']." ".MDP_VERSION."</b><br />
<br />
".$locale['mdp700']."
  ");

  closetable();


  }

require_once THEMES."templates/footer.php";
?>